<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools">

    <com.excelliance.open.LBSwitchView
        android:id="@+id/background_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <RelativeLayout
        android:layout_alignParentBottom="true"
        android:id="@+id/lebian_layout_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true">

        <ImageView
            android:id="@+id/lebian_progress_bar_background_top"
            android:layout_above="@id/lebian_progress_bar_background_bottom"
            android:background="@drawable/lebian_progress_bar_background_top"
            android:layout_width="fill_parent"
            android:layout_height="50dp"></ImageView>

        <ImageView
            android:id="@+id/lebian_progress_bar_background_bottom"
            android:layout_alignParentBottom="true"
            android:background="@drawable/lebian_progress_bar_background_bottom"
            android:layout_width="fill_parent"
            android:layout_height="60dp"></ImageView>

        <RelativeLayout
            android:layout_alignLeft="@id/lebian_progress_bar_background_top"
            android:layout_alignRight="@id/lebian_progress_bar_background_top"
            android:layout_alignTop="@id/lebian_progress_bar_background_top"
            android:layout_alignBottom="@id/lebian_progress_bar_background_top"
            android:layout_centerHorizontal="true"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <LinearLayout
                android:layout_centerInParent="true"
                android:orientation="horizontal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">
                <TextView
                    android:id="@+id/lebian_text_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="14sp"
                    android:layout_alignLeft="@+id/lebian_layout_progress"
                    android:textColor="#ffffff" />

                <TextView
                    android:layout_marginLeft="2dp"
                    android:id="@+id/lebian_text_progress"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:textSize="14sp"
                    android:textColor="#ffffff" />
            </LinearLayout>
        </RelativeLayout>
        <LinearLayout
            android:layout_below="@id/lebian_progress_bar_background_top"
            android:id="@+id/lebian_progressBar_parent"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="24dp">
            <com.excelliance.open.AdaptiveProgressBar
                android:layout_gravity="center_vertical"
                android:layout_centerVertical="true"
                android:layout_marginLeft="4dp"
                android:id="@+id/lebian_progressBar"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:max="1000"
                android:progress="0" />

            <TextView
                android:layout_gravity="center_vertical"
                android:gravity="center"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@id/lebian_progressBar"
                android:layout_marginLeft="5dp"
                android:id="@+id/lebian_resource_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="#ffffff" />

        </LinearLayout>


        <ImageView
            android:layout_alignBottom="@id/lebian_progressBar_parent"
            android:id="@+id/lebian_framen_animation"
            android:background="@drawable/frame_animation"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
        </ImageView>
    </RelativeLayout>


    <TextView
        android:id="@+id/lebian_download_speed"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignRight="@+id/lebian_layout_progress"
        android:layout_marginBottom="10dp"
        android:textColor="#FF8040" />

</RelativeLayout>